Bug 1291461 - qt linux-g++-aarch64 mkspec is nonstandard
Summary: qt linux-g++-aarch64 mkspec is nonstandard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qt
Version: 7.2
Hardware: aarch64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Grulich
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64 1297830 1313485 1277314
TreeView+ depends on / blocked
 
Reported: 2015-12-14 21:57 UTC by Yaakov Selkowitz
Modified: 2016-11-04 01:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 01:28:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2236 normal SHIPPED_LIVE kde-workspace bug fix and enhancement update 2016-11-03 13:28:08 UTC

Description Yaakov Selkowitz 2015-12-14 21:57:59 UTC
The arch-specific linux-g++-aarch64 mkspec, based on an earlier aarch64 patch for Fedora qt, exists primarily to add -fpermissive for JSC.  However, as a nonstandard mkspec, qmake-based projects would not be expected to check for it, resulting in build issues when only the known linux-g++ mkspecs are used in a conditional.  This is causing epel7 x2goclient to FTBFS on RHELSA 7.2.

Please rebase the aarch64 patch to a more recent Fedora version, which uses a standard linux-g++ mkspec.

Comment 1 Jan Grulich 2016-01-19 08:43:33 UTC
Can be done, granting dev_ack+.

Comment 2 Jan Grulich 2016-03-24 09:41:54 UTC
Fixed in qt-4.8.5-12.el7.

Comment 5 errata-xmlrpc 2016-11-04 01:28:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2236.html


Note You need to log in before you can comment on or make changes to this bug.